---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.130.0.180/23","fd02:0:0:3::5b5/64"],"mac_address":"0a:58:0a:82:00:b4","gateway_ips":["10.130.0.1","fd02:0:0:3::1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.130.0.1"},{"dest":"172.30.0.0/16","nextHop":"10.130.0.1"},{"dest":"169.254.0.5/32","nextHop":"10.130.0.1"},{"dest":"100.64.0.0/16","nextHop":"10.130.0.1"},{"dest":"fd02::/48","nextHop":"fd02:0:0:3::1"},{"dest":"fd03::/112","nextHop":"fd02:0:0:3::1"},{"dest":"fd69::5/128","nextHop":"fd02:0:0:3::1"},{"dest":"fd98::/64","nextHop":"fd02:0:0:3::1"}],"role":"primary"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.130.0.180",
              "fd02:0:0:3::5b5"
          ],
          "mac": "0a:58:0a:82:00:b4",
          "default": true,
          "dns": {}
      }]
    openshift.io/required-scc: hostpath-provisioner-csi
    openshift.io/scc: hostpath-provisioner-csi
  creationTimestamp: "2025-10-29T11:56:00Z"
  generateName: hostpath-provisioner-csi-
  labels:
    app.kubernetes.io/component: storage
    app.kubernetes.io/managed-by: hostpath-provisioner-operator
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.11
    controller-revision-hash: ff46cc9cc
    k8s-app: hostpath-provisioner
    pod-template-generation: "1"
    prometheus.hostpathprovisioner.kubevirt.io: "true"
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.ovn.org/pod-networks: {}
    manager: cnvqe-070.lab.eng.tlv2.redhat.com
    operation: Update
    subresource: status
    time: "2025-10-29T11:56:00Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:openshift.io/required-scc: {}
        f:generateName: {}
        f:labels:
          .: {}
          f:app.kubernetes.io/component: {}
          f:app.kubernetes.io/managed-by: {}
          f:app.kubernetes.io/part-of: {}
          f:app.kubernetes.io/version: {}
          f:controller-revision-hash: {}
          f:k8s-app: {}
          f:pod-template-generation: {}
          f:prometheus.hostpathprovisioner.kubevirt.io: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"aac50431-2d91-4742-8ccb-497a88bd2c36"}: {}
      f:spec:
        f:affinity:
          .: {}
          f:nodeAffinity:
            .: {}
            f:requiredDuringSchedulingIgnoredDuringExecution: {}
        f:containers:
          k:{"name":"csi-provisioner"}:
            .: {}
            f:args: {}
            f:env:
              .: {}
              k:{"name":"NAMESPACE"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"NODE_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/csi"}:
                .: {}
                f:mountPath: {}
                f:name: {}
          k:{"name":"hostpath-provisioner"}:
            .: {}
            f:args: {}
            f:env:
              .: {}
              k:{"name":"CSI_ENDPOINT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"PV_DIR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:livenessProbe:
              .: {}
              f:failureThreshold: {}
              f:httpGet:
                .: {}
                f:path: {}
                f:port: {}
                f:scheme: {}
              f:initialDelaySeconds: {}
              f:periodSeconds: {}
              f:successThreshold: {}
              f:timeoutSeconds: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":8080,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:name: {}
                f:protocol: {}
              k:{"containerPort":9898,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:name: {}
                f:protocol: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/csi"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/hpp-csi-local-basic-data-dir"}:
                .: {}
                f:mountPath: {}
                f:mountPropagation: {}
                f:name: {}
              k:{"mountPath":"/hpp-csi-pvc-block-data-dir"}:
                .: {}
                f:mountPath: {}
                f:mountPropagation: {}
                f:name: {}
              k:{"mountPath":"/var/lib/kubelet/plugins"}:
                .: {}
                f:mountPath: {}
                f:mountPropagation: {}
                f:name: {}
              k:{"mountPath":"/var/lib/kubelet/pods"}:
                .: {}
                f:mountPath: {}
                f:mountPropagation: {}
                f:name: {}
          k:{"name":"liveness-probe"}:
            .: {}
            f:args: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/csi"}:
                .: {}
                f:mountPath: {}
                f:name: {}
          k:{"name":"node-driver-registrar"}:
            .: {}
            f:args: {}
            f:env:
              .: {}
              k:{"name":"KUBE_NODE_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/csi"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/hpp-csi-local-basic-data-dir"}:
                .: {}
                f:mountPath: {}
                f:mountPropagation: {}
                f:name: {}
              k:{"mountPath":"/hpp-csi-pvc-block-data-dir"}:
                .: {}
                f:mountPath: {}
                f:mountPropagation: {}
                f:name: {}
              k:{"mountPath":"/registration"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"hpp-csi-local-basic-data-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"hpp-csi-pvc-block-data-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"mountpoint-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"plugins-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"registration-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"socket-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
    manager: kube-controller-manager
    operation: Update
    time: "2025-10-29T11:56:00Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
    manager: multus-daemon
    operation: Update
    subresource: status
    time: "2025-10-29T11:56:02Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodReadyToStartContainers"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:hostIPs: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.130.0.180"}:
            .: {}
            f:ip: {}
          k:{"ip":"fd02:0:0:3::5b5"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    subresource: status
    time: "2025-10-29T11:56:04Z"
  name: hostpath-provisioner-csi-rpcrh
  namespace: openshift-cnv
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: DaemonSet
    name: hostpath-provisioner-csi
    uid: aac50431-2d91-4742-8ccb-497a88bd2c36
  resourceVersion: "2148958"
  uid: b5e4e224-4b26-481d-9be5-18b179aac1c9
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchFields:
          - key: metadata.name
            operator: In
            values:
            - cnvqe-070.lab.eng.tlv2.redhat.com
  containers:
  - args:
    - --drivername=kubevirt.io.hostpath-provisioner
    - --v=1
    - --endpoint=$(CSI_ENDPOINT)
    - --nodeid=$(NODE_NAME)
    - --version=$(VERSION)
    - --datadir=$(PV_DIR)
    env:
    - name: CSI_ENDPOINT
      value: unix:///csi/csi.sock
    - name: NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    - name: PV_DIR
      value: '[{"name":"hpp-csi-local-basic","path":"hpp-csi-local-basic-data-dir/csi"},{"name":"hpp-csi-pvc-block","path":"hpp-csi-pvc-block-data-dir/csi"}]'
    - name: VERSION
      value: v4.19.11
    image: registry.redhat.io/container-native-virtualization/hostpath-csi-driver-rhel9@sha256:b01f220b1ec99e7692358a0356750fd3ff2cf5858f4039355f467093ac9909e6
    imagePullPolicy: IfNotPresent
    livenessProbe:
      failureThreshold: 5
      httpGet:
        path: /healthz
        port: 9898
        scheme: HTTP
      initialDelaySeconds: 10
      periodSeconds: 2
      successThreshold: 1
      timeoutSeconds: 3
    name: hostpath-provisioner
    ports:
    - containerPort: 9898
      name: healthz
      protocol: TCP
    - containerPort: 8080
      name: metrics
      protocol: TCP
    resources:
      requests:
        cpu: 10m
        memory: 150Mi
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/lib/kubelet/plugins
      mountPropagation: Bidirectional
      name: plugins-dir
    - mountPath: /var/lib/kubelet/pods
      mountPropagation: Bidirectional
      name: mountpoint-dir
    - mountPath: /csi
      name: socket-dir
    - mountPath: /hpp-csi-local-basic-data-dir
      mountPropagation: HostToContainer
      name: hpp-csi-local-basic-data-dir
    - mountPath: /hpp-csi-pvc-block-data-dir
      mountPropagation: HostToContainer
      name: hpp-csi-pvc-block-data-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-nlxqh
      readOnly: true
  - args:
    - --v=1
    - --csi-address=/csi/csi.sock
    - --kubelet-registration-path=/var/lib/kubelet/plugins/csi-hostpath/csi.sock
    env:
    - name: KUBE_NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    image: registry.redhat.io/openshift4/ose-csi-node-driver-registrar-rhel9@sha256:82d75bc09ce15b5ebc8cb3e48ca3a949d70903f2015f92a110d044871e20f808
    imagePullPolicy: IfNotPresent
    name: node-driver-registrar
    resources:
      requests:
        cpu: 10m
        memory: 150Mi
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /csi
      name: socket-dir
    - mountPath: /registration
      name: registration-dir
    - mountPath: /hpp-csi-local-basic-data-dir
      mountPropagation: HostToContainer
      name: hpp-csi-local-basic-data-dir
    - mountPath: /hpp-csi-pvc-block-data-dir
      mountPropagation: HostToContainer
      name: hpp-csi-pvc-block-data-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-nlxqh
      readOnly: true
  - args:
    - --csi-address=/csi/csi.sock
    - --health-port=9898
    image: registry.redhat.io/openshift4/ose-csi-livenessprobe-rhel9@sha256:e3388b2977ad3e4a612e7a7d168bff1c11cb01c869f7e40c41083a7966d1120b
    imagePullPolicy: IfNotPresent
    name: liveness-probe
    resources:
      requests:
        cpu: 10m
        memory: 150Mi
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /csi
      name: socket-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-nlxqh
      readOnly: true
  - args:
    - --v=1
    - --csi-address=/csi/csi.sock
    - --feature-gates=Topology=true
    - --enable-capacity=true
    - --capacity-for-immediate-binding=true
    - --extra-create-metadata=true
    - --immediate-topology=false
    - --strict-topology=true
    - --node-deployment=true
    - --default-fstype=xfs
    env:
    - name: NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    - name: NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    image: registry.redhat.io/openshift4/ose-csi-external-provisioner-rhel9@sha256:113ab6d665dfc6c167cf97d138b4c3106a1b611a011b8cb5961e0a31545717a4
    imagePullPolicy: IfNotPresent
    name: csi-provisioner
    resources:
      requests:
        cpu: 10m
        memory: 150Mi
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /csi
      name: socket-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-nlxqh
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
  nodeSelector:
    kubernetes.io/os: linux
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: hostpath-provisioner-admin-csi
  serviceAccountName: hostpath-provisioner-admin-csi
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/disk-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/pid-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/unschedulable
    operator: Exists
  volumes:
  - hostPath:
      path: /var/lib/kubelet/plugins/csi-hostpath
      type: DirectoryOrCreate
    name: socket-dir
  - hostPath:
      path: /var/lib/kubelet/pods
      type: DirectoryOrCreate
    name: mountpoint-dir
  - hostPath:
      path: /var/lib/kubelet/plugins_registry
      type: Directory
    name: registration-dir
  - hostPath:
      path: /var/lib/kubelet/plugins
      type: Directory
    name: plugins-dir
  - hostPath:
      path: /var/hpp-csi-local-basic
      type: DirectoryOrCreate
    name: hpp-csi-local-basic-data-dir
  - hostPath:
      path: /var/hpp-csi-pvc-block
      type: DirectoryOrCreate
    name: hpp-csi-pvc-block-data-dir
  - name: kube-api-access-nlxqh
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T11:56:04Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T11:56:00Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T11:56:04Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T11:56:04Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T11:56:00Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://a16efc28aeb8bad85cc5d368ae8261f3fedf987d51b1a4860be07ab00882bfcf
    image: registry.redhat.io/openshift4/ose-csi-external-provisioner-rhel9@sha256:113ab6d665dfc6c167cf97d138b4c3106a1b611a011b8cb5961e0a31545717a4
    imageID: registry.redhat.io/openshift4/ose-csi-external-provisioner-rhel9@sha256:0574ddb0e7edb36bfa31cb34ef61e0830b33a9a545d4e5a4a92df75eefb29c1c
    lastState: {}
    name: csi-provisioner
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-10-29T11:56:04Z"
    volumeMounts:
    - mountPath: /csi
      name: socket-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-nlxqh
      readOnly: true
      recursiveReadOnly: Disabled
  - containerID: cri-o://e832043f8a55477b6c2d6ef4f4ae0467795ff2abf0ee906ba93c228457e5be17
    image: registry.redhat.io/container-native-virtualization/hostpath-csi-driver-rhel9@sha256:b01f220b1ec99e7692358a0356750fd3ff2cf5858f4039355f467093ac9909e6
    imageID: registry.redhat.io/container-native-virtualization/hostpath-csi-driver-rhel9@sha256:2f4b00889b996eabb5eb04e13f8ad13d696a1e21b092a581c79c28642b5c9182
    lastState: {}
    name: hostpath-provisioner
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-10-29T11:56:02Z"
    volumeMounts:
    - mountPath: /var/lib/kubelet/plugins
      name: plugins-dir
    - mountPath: /var/lib/kubelet/pods
      name: mountpoint-dir
    - mountPath: /csi
      name: socket-dir
    - mountPath: /hpp-csi-local-basic-data-dir
      name: hpp-csi-local-basic-data-dir
    - mountPath: /hpp-csi-pvc-block-data-dir
      name: hpp-csi-pvc-block-data-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-nlxqh
      readOnly: true
      recursiveReadOnly: Disabled
  - containerID: cri-o://d2b2ee15efb740f0065b7580087f9c161dc3d872722c31019730dd261afbab03
    image: registry.redhat.io/openshift4/ose-csi-livenessprobe-rhel9@sha256:e3388b2977ad3e4a612e7a7d168bff1c11cb01c869f7e40c41083a7966d1120b
    imageID: registry.redhat.io/openshift4/ose-csi-livenessprobe-rhel9@sha256:0a80490267313a4bba14e2e3a4bc6957f2fc4ef99c8414ba8d39e4acf537205e
    lastState: {}
    name: liveness-probe
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-10-29T11:56:03Z"
    volumeMounts:
    - mountPath: /csi
      name: socket-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-nlxqh
      readOnly: true
      recursiveReadOnly: Disabled
  - containerID: cri-o://33fa5111b169f5cacee98f83b376781771056246603eab28d0b8f184d7a7e69b
    image: registry.redhat.io/openshift4/ose-csi-node-driver-registrar-rhel9@sha256:82d75bc09ce15b5ebc8cb3e48ca3a949d70903f2015f92a110d044871e20f808
    imageID: registry.redhat.io/openshift4/ose-csi-node-driver-registrar-rhel9@sha256:82d75bc09ce15b5ebc8cb3e48ca3a949d70903f2015f92a110d044871e20f808
    lastState: {}
    name: node-driver-registrar
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-10-29T11:56:03Z"
    volumeMounts:
    - mountPath: /csi
      name: socket-dir
    - mountPath: /registration
      name: registration-dir
    - mountPath: /hpp-csi-local-basic-data-dir
      name: hpp-csi-local-basic-data-dir
    - mountPath: /hpp-csi-pvc-block-data-dir
      name: hpp-csi-pvc-block-data-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-nlxqh
      readOnly: true
      recursiveReadOnly: Disabled
  hostIP: 10.46.248.41
  hostIPs:
  - ip: 10.46.248.41
  - ip: 2620:52:0:2ef8::29
  phase: Running
  podIP: 10.130.0.180
  podIPs:
  - ip: 10.130.0.180
  - ip: fd02:0:0:3::5b5
  qosClass: Burstable
  startTime: "2025-10-29T11:56:00Z"
